CVE-2015-3181

2015-06-01T15:59:23
ID CVE-2015-3181
Type cve
Reporter NVD
Modified 2016-12-30T21:59:28

Description

files/externallib.php in Moodle through 2.5.9, 2.6.x before 2.6.11, 2.7.x before 2.7.8, and 2.8.x before 2.8.6 does not consider the moodle/user:manageownfiles capability before approving a private-file upload, which allows remote authenticated users to bypass intended file-management restrictions by using web services to perform uploads after this capability has been revoked.